﻿import {Component, ViewEncapsulation, ViewChild, Injectable, CORE_DIRECTIVES, FORM_DIRECTIVES} from '@angular/core';
import {CommonModule} from "@angular/common";
import {EJComponents} from './ej/core';
import {EJ_CHART_COMPONENTS } from './ej/chart.component';
import { ChartDataService } from './services/chartdata.service';
import { ChartMobileService } from './services/chartmobile.service';

declare let ej: any;

@Component({
    selector: 'ej-app',
    templateUrl: 'app/app.component.html',
    directives: [EJ_CHART_COMPONENTS],
    providers: [ChartDataService, ChartMobileService]
})

export class AppComponent {

    MultiPieData1: any;
    MultiPieData2: any;
    MultiPieData3: any;
    @ViewChild('virtual') chart: EJComponents<any, any>;


    constructor(public chartDataService: ChartDataService) {
        let MultiPieData1 = 'series1';
        let MultiPieData2 = 'series2';
        let MultiPieData3 = 'series3';
        this.MultiPieData1 = chartDataService.getMultiPieData(MultiPieData1);
        this.MultiPieData2 = chartDataService.getMultiPieData(MultiPieData2);
        this.MultiPieData3 = chartDataService.getMultiPieData(MultiPieData3);
    }
   
    seriesRender(sender) {
        let chart = $("#multipie").data("ejChart");
        let seriesIndex = $.inArray(sender.data.series, chart.model._visibleSeries);
        let points = sender.data.series.points;
        let palette = ['#4286f4', '#00cc00', '#666633'];
        for (let i = 0; i < points.length; i++) {
            sender.data.series.points[i].fill = palette[seriesIndex];
        }
        if (sender.model.theme == 'flatdark' || sender.model.theme == 'gradientdark') {
            sender.data.series.marker.dataLabel.connectorLine.color = 'white';
        }
    }




}
